Package: org.codehaus.groovy.runtime.callsite

## [Java] Class PojoMetaMethodSite

- org.codehaus.groovy.runtime.callsite.PojoMetaMethodSite

-     public class PojoMetaMethodSite
      extends PlainObjectMetaMethodSite

  POJO call site meta class - cached method - cached

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `PojoMetaMethodSite.PojoCachedMethodSite` |
    `static class` | `PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrap` |
    `static class` | `PojoMetaMethodSite.PojoCachedMethodSiteNoUnwrapNoCoerce` |
    `static class` | `PojoMetaMethodSite.PojoMetaMethodSiteNoUnwrap` | Call site where we know there is no need to unwrap arguments
    `static class` | `PojoMetaMethodSite.PojoMetaMethodSiteNoUnwrapNoCoerce` | Call site where we know there is no need neither unwrap nor coerce arguments

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected int` | `version` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class PlainObjectMetaMethodSite` | `VM_PLUGIN`
    `class MetaMethodSite` | `params`
    `class MetaClassSite` | `metaClass`
    `class AbstractCallSite` | `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PojoMetaMethodSite (CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `call(Object receiver, Object[] args)`
    `` | `protected final boolean` | `checkCall(Object receiver, Object[] args)`
    `` | `protected final boolean` | `checkCall(Object receiver)`
    `` | `protected final boolean` | `checkCall(Object receiver, Object arg1)`
    `` | `protected final boolean` | `checkCall(Object receiver, Object arg1, Object arg2)`
    `` | `protected final boolean` | `checkCall(Object receiver, Object arg1, Object arg2, Object arg3)`
    `` | `protected final boolean` | `checkCall(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `protected final boolean` | `checkPojoMetaClass()`
    `` | `public static CallSite` | `createCachedMethodSite(CallSite site, MetaClassImpl metaClass, CachedMethod metaMethod, Class[] params, Object[] args)`
    `` | `public static CallSite` | `createNonAwareCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object[] args)`
    `` | `public static CallSite` | `createPojoMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)`
    `` | `public Object` | `invoke(Object receiver, Object[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PlainObjectMetaMethodSite` | `doInvoke`
    `class AbstractCallSite` | `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

- - ### Field Detail

    - #### protected final int version

  - ### Constructor Detail

    - #### public PojoMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)

  - ### Method Detail

    - #### public Object call(Object receiver, Object[] args)

    - #### protected final boolean checkCall(Object receiver, Object[] args)

    - #### protected final boolean checkCall(Object receiver)

    - #### protected final boolean checkCall(Object receiver, Object arg1)

    - #### protected final boolean checkCall(Object receiver, Object arg1, Object arg2)

    - #### protected final boolean checkCall(Object receiver, Object arg1, Object arg2, Object arg3)

    - #### protected final boolean checkCall(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### protected final boolean checkPojoMetaClass()

    - #### public static CallSite createCachedMethodSite(CallSite site, MetaClassImpl metaClass, CachedMethod metaMethod, Class[] params, Object[] args)

    - #### public static CallSite createNonAwareCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object[] args)

    - #### public static CallSite createPojoMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

    - #### public Object invoke(Object receiver, Object[] args)